Printer Driver Installer (Version 2.08)

Introduction

Operating system

Silent Installation

Printers with a parallel port

Printers with a serial port

Printers with a USB port

Printer Driver Uninstalling

Release notes

Appendices


Printer Driver Installer

Introduction

This installer is used to install the Windows printer driver for BTP-L42 printer etc. In order to use the software correctly , please read the detailed information carefully.

Printers with a parallel port

Printers with a serial port

Printers with a USB port

Printers: BTP-L42.

Release information:

Version: 2.08

Release date: 30/07/2014 (DD/MM/YYYY)

Changes: Change the default option of rotate.

Version: 2.07

Release date: 10/07/2014 (DD/MM/YYYY)

Changes: Support user-defined paper size.

Version: 2.06

Release date: 29/04/2014 (DD/MM/YYYY)

Changes: Support mirror printing.

Version: 2.05

Release date: 15/10/2013 (DD/MM/YYYY)

Changes: Change the description of some options.

Version: 2.04

Release date: 15/08/2013 (DD/MM/YYYY)

Changes: Support Windows Server 2012 OS(64bits).

Version: 2.03

Release date: 27/04/2013 (DD/MM/YYYY)

Changes: Fix some bugs.

Version: 2.02

Release date: 22/03/2013 (DD/MM/YYYY)

Changes: Support Windows 8 OS(32/64bits).

Version: 2.01

Release date: 04/09/2012 (DD/MM/YYYY)

Changes: Add some functions such as "download firmware"," restore EEPROM settings "," paper check "," set horizontal and vertical offset ", etc.

Version: 1.0

Release date: 19/7/2012 (DD/MM/YYYY)

Changes: First release.


Printer Driver Installer

Operating system

Supporting the following operating systems:

32bit OS:

• Windows 8
• Windows 7
• Windows Server 2008
• Windows Vista
• Windows Server 2003
• Windows XP Professional
• Windows XP Home Edition
• Windows 2000 Server
• Windows 2000 Professional
• Windows Embedded POSReady 2009

64bit OS:

• Windows 8 x64
• Windows Server 2012 x64
• Windows 7 x64
• Windows Server 2008 x64
• Windows Vista x64
• Windows Server 2003 x64
• Windows XP x64

Note: We recommend to install all proper system updates to avoid known operating system problems that may affect the functionality of our device and printer drivers. The recommended service pack (SP) level for each operating system is: Windows XP Professional SP1 , SP2 or SP3, Windows XP Home Edition SP1 , SP2 or SP3, Windows 2000 Server SP4, Windows 2000 Professional SP4.

Printer firmware release

Version 1.000 (For BPLA) /V3.000(For BPLB) or higher, See Print self-test page on how to check the printer firmware.

Compatibility

The installation package and the related documents apply to printers with the firmware version 1.000/version 3.000 and higher.


LPTPrtDrv

Silent Installation

Silent Installation

1.Run "Silent_Setup.exe" in "Label(D)PrnSetup_BR". Default port type is USB in the installing. If you will change port type , open "DRVCONFIG\PrinterConfig.ini" and modify the port.

2.If the printer is USB interface, Please connect USB cable to printer and power on it, then you can run "Silent_Setup.exe" to install.

Notice: You can read the "Silent_Setup.Log" file to check whether the driver install successfully or unsuccessfully.


Printer Driver Installer

Printers with a parallel port

The installation for parallel port printer driver requires two steps: Step 1 installation of the parallel device drivers, and step 2 installation of the printer driver. Both are supplied with this driver installer.

If the parallel interface mode of the printer is Nibble, when the printer is connected to PC for the first time, the system will recognize it as a new device and start the "Add New Hardware Wizard".

Follow the steps below to install the printer device driver:

Step 1: install parallel device driver

When you connect the parallel printer to PC for the first time, the system will recognize it as a new device and start "Add New Hardware Wizard", follow the wizard and click on "Next" to end the installation. If the page of wizard provides select box, uncheck and click "Next" button to continue, and click on "Finish" to end the installation.

Prompt: This course has not installed actual device driver.

Step 2: Printer driver installation

1) Run Setup.exe in "Label(D)PrnSetup_BR".

2) Select printer type and name of the printer that will be installed, if you want to set the current printer as the default printer, then check "Set As Default Printer" . Click on "Next" button.

3) Set printer port, select port "LPT1" as printer port, and then click on "Finish" button to end the installation.


Printer Driver Installer

Printer with a serial port

1) Run Setup.exe in "Label(D)PrnSetup_BR".

2) Select printer type and printer name to be installed. If you want to set this printer as default in system, please select "set as a defaulted printer" button, then click "Next" button.

3) Select "BYCOMx" as print port. After configuring relative parameter, click "finish" to end the installation.


USBPrtDrv

Printer Driver Installer

Printer with a USB port

1) Run Setup.exe in "Label(D)PrnSetup_BR".

2) Select printer type and printer name to be installed. If you want to set this printer as default in system, please select "set as a defaulted printer" button, then click "Next" button.

3) Select "USB_BTP-L42_1" as print port. Click "finish" to start the installation.


Uninstall

Uninstall Printer Driver

Step 1: Run "Uninstall.exe" to select printers and there components to be uninstalled. You can select "Select All" button to select all.

Step 2: Select "Uninstall" button to uninstall the printer you selected.

Step 3: After the uninstalling process is finished, please select "Yes" to restart the computer so that the changes can take effect.


remarks

Release Notes

  1. Why to name the Serial Port as"BYCOMx" ?
  2. Why waiting such a long time during installation?

1. Why are the serial port named as "BYCOMx"?

In Windows 2000/ Windows XP/Window Server2003/Windows Server 2008/Windows 7 , when you install driver for a serial printer, select "BYCOMx" port to replace "COMx". "BYCOMx" port can resolve the problem printing failure due to its short timeout value using serial communication ports(COMx) .

2. Why waiting such a long time during installation?

To install printer driver under Windows XP and other systems, it may take a long time. There are two possible reasons: one is the shortage of system resources; the other is the program to upgrade relevant components, this upgrade needs much time in Windows, so please wait patiently. If there is no response after waiting long time, please close the program and restart the PC to reinstall the driver.


troubleshooting

Appendix A FAQ

A.1 When serial printer prints junk characters, how to solve it?

Most common the reason of printing junk characters is that the setting of serial port is incorrect. First you should make the printer print self-test page to get the setting information. Please refer to "how to print self-test page"; Please set correctly the COM port based on the setting information on the self-test page to ensure the printer can work normally.

A.2 How to use the network printing server of other brands with the BTP-L42?

To use a network printing server, following these steps: To install the server driver, you should refer to the user's manual given by the manufacturer. Normally, when you install the server driver, the IP address or other relevant name will be added in the printer port list as the name of printer port. To have a clear description, we name them as printing server port; According to the type of printing port you use (such as parallel printer), please run the setup.exe to install the printer driver( select LPT1 as printer port for parallel printer); Select the printing server port as the printing port in the printer driver property menu.

A.3 How to self-define paper size under Windows 2000¡¢Windows XP¡¢Windows Server 2003¡¢Windows Vista¡¢Windows 7¡¢Windows 8 ?

Ensure system in operation; Single click "Start"; Single Click "Printer" or first single click "control board", then double click "Printer" icon in control board; Click "File" menu and click "Server properties"submenu; In "Format"menu, select check box before "Create new format". Then write self-defined paper name in "Format explanation". The unit uses "cm"in the metric system. According to requirement, self-define paper width, height, right/left margin and top/bottom margin of print zone. Single click "Store format"button; Single click "Confirmation"and finish self-definition of paper.

Notice: Don't allow to self-define paper size in page settings of word-editing software on windows 2000 or higher.


Appendix B Print Self-test Page

  • Turn on printer power
  • Press down printer feed button, after the power light twinkle once, the printer shall print self-test page.


USBPrtDrv

Appendix C How to use the driver in Windows Vista

This instruction is created to show how to use the driver in Windows Vista, because in Windows Vista, UAC (User Account Control) is turned on by default, so there's something different in Windows Vista.

Notice: The pictures may be different from the current printer. The pictures are only used for reference.

Click on the links below to view FAQ in Windows Vista:

· How to set the size of "Custom Paper Size-PrinterName".
· How to delete printer driver manually in Windows Vista.
· How to turn off the UAC (User Account Control).

How to set the size of "Custom Paper Size-PrinterName".

In Windows Vista, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to select "Run as administrator" manual to obtain permission even the user have logged on as administrator, just like the picture below show.

After the user make the "Properties" menu selection, Windows Vista will pop-up a "User Account Control" dialog box, and show the information "Windows need your permission to continue", click “Continue”, and then click the "Utility" tab.

Input the custom paper size (Width and Height in 0.1mm) of the "Custom Paper Size-PrinterName" form and click "Set" button to save the setting.

How to delete printer driver manually in Windows vista.

Right click the printer driver ,select "Run as administrator"->"Delete" to delete the printer.

Right click the blank, select "Run as administrator"->"Server Properties", then click "Continue".

Select "Driver" sheet, select"BTP-L42", click "Remove" to delete the printer driver.

How to turn off the UAC (User Account Control).

If the user want to turn off the UAC (it will rise the risk of computer), the user can enter to the control panel, and then do like the picture below show.

Double click on "User Accounts" button.

Click on "Turn User Account Control on or off".

Uncheck the "Use User Account Control (UAC) to help protect your computer" check box, click "OK" button.

Click "Restart Now" button to restart the computer to make the change take effect.


Win7

Appendix D How to use the driver in Windows 7

This instruction is created to show how to use the driver in Windows 7, because in Windows 7, UAC (User Account Control) is turned on by default, so there's something different in Windows 7.

Notice: The pictures may be different from the current printer. The pictures are only used for reference.

Click on the links below to view FAQ in Windows 7:

· How to change the serial port parameters in Windows 7.
· How to delete printer driver manually in Windows 7.
· How to turn off the UAC (User Account Control).

How to change the serial port parameters in Windows 7.

In Windows 7, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to run as administrator to obtain permission even the user have logged on as administrator, pitch on the printer that you have installed, click on "Print server properties" button, just like the picture below show.

Click on "Change Port Settings" button to run as administrator, just like the picture below show.

Select the current port that you want to configure, then click on "Configure Port" button, just like the picture below show.

After finished configuring the parameters, click on "OK" button, just like the picture below show.

How to delete printer driver manually.

In Windows 7, right click the printer driver ,select "Remove device" to delete printer.

Select "Printer server properties".

Click "Drivers" sheet, click "Change Driver Settings", select BTP-L42 , then click "Remove...", printer driver deleted manually.

How to turn off the UAC (User Account Control).

If the user want to turn off the UAC (it will rise the risk of computer), the user can enter to the control panel, and then do like the picture below show.

Double click on "User Accounts" button.

Click on "Change User Account Control settings".

Drag the scroll bar to "Never notify", click "OK" button.

Restart the computer to make the change take effect.


USBPrtDrv

Appendix E How to install USB printer mode driver in Windows 8

How to install USB printer mode driver in Windows 8.

In Windows 8, move the mouse to the lower right corner, when the setting icon appear, click it, just like the picture below show.

Click on "Change PC Settings" , just like the picture below show.

Click on "General" button or "Update and recovery -> Recovery" button, then click on "Restart now " in left dialog, just like the picture below show.

Click on "Troubleshoot" button, just like the picture below show.

Click on "Advanced options" button, just like the picture below show.

Click on "Startup Settings", just like the picture below show.

Click on "Restart", just like the picture below show.

After restart the computer, click "7)Disable driver signature enforcement", just like the picture below show.

Run "Label(D)PrnSetup_BR\Setup.exe" to install USB class mode printer driver.